/*
* Copyright © 2021. TIBCO Software Inc.
* This file is subject to the license terms contained
* in the license file that is distributed with this file.
*/

var express = require('express');
var router = express.Router();
var fs = require('fs');
var https = require('https');
var setCookie = require('set-cookie-parser');
const { route } = require('./users');

// --------------------------------------------------------------------------------
// AUTHENTICATION
// Logout from application
router.get('/service/account/logout', function(req, res, next) {
  // Invalidate cookies
  res.cookie("domain", "", {maxAge: -999999});
  res.cookie("tsc", "", {maxAge: -999999});

  res.send("");
});

// --------------------------------------------------------------------------------
// CONTEXT
// Get current environment
router.get('/service/context/environment', function(req, res, next) {
  fs.readFile( __dirname + '/../data/context/environment.json', function (err, data) {
    if (err) {
      throw err; 
    }
    let response = JSON.parse(data.toString());
    res.json(response);
  });  
});

module.exports = router;
